# Configuración del backend para Firebase App Hosting.
# Este archivo define cómo se construye y ejecuta tu aplicación Next.js,
# incluyendo las variables de entorno necesarias para producción.

# Configuración de ejecución para Cloud Run (la plataforma subyacente).
# Puedes ajustar estos valores según las necesidades de tu aplicación.
runConfig:
  # Número mínimo y máximo de instancias de tu servidor.
  minInstances: 0
  maxInstances: 2
  # Cuántas peticiones simultáneas puede manejar una instancia.
  concurrency: 100
  # CPU y memoria asignadas a cada instancia.
  cpu: 1
  memoryMiB: 512

# Definición de las variables de entorno para tu aplicación.
# Estas variables se inyectarán en tu entorno de producción.
env:
  # --- Variables Públicas (Accesibles en el Navegador) ---
  # Estas variables deben tener el prefijo NEXT_PUBLIC_ para que Next.js
  # las exponga al cliente. El valor debe ser el de tu .env.production.

  - variable: NEXT_PUBLIC_FIREBASE_API_KEY
    secret: firebase-api-key

  - variable: NEXT_PUBLIC_FIREBASE_AUTH_DOMAIN
    value: inhouse-e22e4.firebaseapp.com

  - variable: NEXT_PUBLIC_FIREBASE_PROJECT_ID
    secret: firebase-project-id

  - variable: NEXT_PUBLIC_FIREBASE_STORAGE_BUCKET
    secret: firebase-storage-bucket

  - variable: NEXT_PUBLIC_FIREBASE_MESSAGING_SENDER_ID
    secret: firebase-messaging-sender-id

  - variable: NEXT_PUBLIC_FIREBASE_APP_ID
    secret: firebase-app-id
  
  #- variable: NEXT_PUBLIC_FIREBASE_RECAPTCHA_SITE_KEY
  #  value: "TU_VALOR_DE_NEXT_PUBLIC_FIREBASE_RECAPTCHA_SITE_KEY"

  # --- Variables del Lado del Servidor ---
  # Estas variables solo estarán disponibles en el backend de tu aplicación.

  - variable: ADMIN_UID
    secret: admin-uid

  # --- Variable Sensible (usando Secret Manager) ---
  # Esta es la forma más segura de manejar credenciales.
  # El valor de FIREBASE_SERVICE_ACCOUNT_BASE64 no se escribe aquí directamente.
  # En su lugar, se hace referencia a un "secreto" que debes crear en
  # Google Cloud Secret Manager.

  - variable: FIREBASE_SERVICE_ACCOUNT_BASE64
    secret: firebase-service-account-base64 # Este es el NOMBRE del secreto.



# The name of the backend resource in Firebase. This corresponds to the name
# of the backend in the Firebase console.
backendId: prodirect-prod


